IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'FK_ProductsOwnerProduct'
    WHERE SysObjects.Name = 'Products'
)
  ALTER TABLE Products ADD FK_ProductsOwnerProduct int NULL 
GO

IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'IsOwnerProduct'
    WHERE SysObjects.Name = 'Products'
)
  ALTER TABLE Products ADD IsOwnerProduct bit NULL 
GO
